ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Core.Opt.Stats

# Documentation

data SimplCount #

doSimplTick #

Arguments

:: Int | History size of the elaborate counter
-> Tick |
-> SimplCount |
-> SimplCount |

doFreeSimplTick :: Tick -> SimplCount -> SimplCount #

simplCountN :: SimplCount -> Int #

pprSimplCount :: SimplCount -> SDoc #

plusSimplCount :: SimplCount -> SimplCount -> SimplCount #

zeroSimplCount #

Arguments

:: Bool

- ddump-simpl-stats

-> SimplCount |

isZeroSimplCount :: SimplCount -> Bool #

hasDetailedCounts :: SimplCount -> Bool #

data Tick #

Constructors

PreInlineUnconditionally Id |
PostInlineUnconditionally Id |
UnfoldingDone Id |
RuleFired FastString |
LetFloatFromLet |
EtaExpansion Id |
EtaReduction Id |
BetaReduction Id |
CaseOfCase Id |
KnownBranch Id |
CaseMerge Id |
AltMerge Id |
CaseElim Id |
CaseIdentity Id |
FillInCaseDefault Id |
SimplifierDone |

#### Instances

Instances details

Outputable Tick # |
Instance details Defined in GHC.Core.Opt.Stats Methods ppr :: Tick -> SDoc #
Eq Tick # |
Instance details Defined in GHC.Core.Opt.Stats Methods (==) :: Tick -> Tick -> Bool # (/=) :: Tick -> Tick -> Bool #
Ord Tick # |
Instance details Defined in GHC.Core.Opt.Stats Methods compare :: Tick -> Tick -> Ordering # (<) :: Tick -> Tick -> Bool # (<=) :: Tick -> Tick -> Bool # (>) :: Tick -> Tick -> Bool # (>=) :: Tick -> Tick -> Bool # max :: Tick -> Tick -> Tick # min :: Tick -> Tick -> Tick #